UpnpListHead Struct Reference

`#include <list.h>`

Collaboration diagram for UpnpListHead:
[legend]

## Data Fields

struct UpnpListHead * | next
struct UpnpListHead * | prev

## Detailed Description

Trivial list management interface, patterned on std::list. It aims more at being familiar than at being minimal. The implementation does not perform any allocation or deallocation. List anchor structure. This should be the first entry in list member objects, except if you want to do member offset arithmetic instead of simple casts (look up "containerof"). The list code itself does not care.

The documentation for this struct was generated from the following file:

- /build/pupnp-EKUuah/pupnp-1.14.18/upnp/inc/list.h